Gets warehouse by code.
1 min
GET
/api/episerver/v3.0/warehouse/{warehouseCode}
Path Parameters
- warehouseCodestringrequiredDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/problem+json
Responses
200
- warehouse
- namestringDescription
- modifiedstring<date-time>DescriptionFormatdate-time
- codestringDescription
- contactInformationwarehouseContactInformation
- firstNamestringDescription
- lastNamestringDescription
- organizationstringDescription
- line1stringDescription
- line2stringDescription
- citystringDescription
- statestringDescription
- countryCodestringDescription
- countryNamestringDescription
- postalCodestringDescription
- regionCodestringDescription
- regionNamestringDescription
- daytimePhoneNumberstringDescription
- eveningPhoneNumberstringDescription
- faxNumberstringDescription
- emailstringDescription
- isFulfillmentCenterbooleanDescription
- isPickupLocationbooleanDescription
- isDeliveryLocationbooleanDescription
400
403
404
curl
curl --request GET \
--url /api/episerver/v3.0/warehouse/{warehouseCode} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/api/episerver/v3.0/warehouse/{warehouseCode}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/api/episerver/v3.0/warehouse/{warehouseCode}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/api/episerver/v3.0/warehouse/{warehouseCode}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"name": "",
"modified": "",
"code": "",
"contactInformation": {
"firstName": "",
"lastName": "",
"organization": "",
"line1": "",
"line2": "",
"city": "",
"state": "",
"countryCode": "",
"countryName": "",
"postalCode": "",
"regionCode": "",
"regionName": "",
"daytimePhoneNumber": "",
"eveningPhoneNumber": "",
"faxNumber": "",
"email": ""
},
"isFulfillmentCenter": false,
"isPickupLocation": false,
"isDeliveryLocation": false
}400
// Bad Request
403
// Forbidden
404
// Not Found